Bug 74981 - [PATCH] x11/xorg-clients: luit has synchronization problem with tty setting
Summary: [PATCH] x11/xorg-clients: luit has synchronization problem with tty setting
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-12-12 12:20 UTC by Rong-En Fan
Modified: 2005-01-14 23:44 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (2.29 KB, patch)
2004-12-12 12:20 UTC, Rong-En Fan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rong-En Fan 2004-12-12 12:20:23 UTC
	luit has synchronization problem with tty settings
	which results in segmentation fault.

	please see following 2 urls:
	https://bugs.freedesktop.org/show_bug.cgi?id=1400
	http://bugs.xfree86.org/show_bug.cgi?id=867

Fix: original patch-luit.c was introduced here:
	http://www.freebsd.org/cgi/cvsweb.cgi/ports/x11/XFree86-4-libraries/files/patch-luit#rev1.3

	It's an workaround, the real problem is that parent
	and child didn't sync well. This patch is from 
	Kuang-che Wu <kcwu _at_ csie.org> and has been submitted
	to XFree86 / X.org.
	XFree86 has committed this however X.org guys didn't
	respond to this bug report.

	Since they haven't fix this yet, this is not in X.org
	6.8.1. I think put this in ports is ok.
Comment 1 lesi freebsd_committer 2004-12-12 12:45:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-x11

Throw to x11@.
Comment 2 Eric Anholt freebsd_committer 2005-01-13 23:02:52 UTC
State Changed
From-To: open->patched

Fixed in xorg-clients, leaving open for lesi@ to pick up for XFree86.
Comment 3 lesi freebsd_committer 2005-01-14 23:43:37 UTC
State Changed
From-To: patched->closed

Fixed also in XFree86-4-clients. 
Thanks for report.